# Note that this is NOT a relocatable package
Summary: Objective C libraries for the GNOME desktop environment.
Name: gnome-objc
Version: 1.0.2
Release: 11
Copyright: LGPL
Group: Development/Languages
Source: ftp://ftp.gnome.org/pub/GNOME/sources/gnome-objc/gnome-objc-%{version}.tar.gz
Patch: gnome-objc-compiler.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: gnome-libs >= 1.0.12
URL: http://www.gnome.org/
ExcludeArch: ia64

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System. The gnome-objc package installs basic
libraries you must have to use GNOME programs that are built with
Objective C.

If you're installing GNOME, you'll need to install gnome-objc.

%package devel
Summary: Files needed to develop Objective C GNOME applications.
Group: Development/Libraries
Requires: gnome-objc = %{version}

%description devel
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. Libraries, include files and
other files you can use to develop Objective C GNOME applications.

If you're developing applications for GNOME, you should install this
package.


%prep
%setup
%patch -p1 -b .compiler

%build
libtoolize --copy --force
aclocal -I macros
autoconf
export CFLAGS="$RPM_OPT_FLAGS"
%ifarch alpha
if test "x`gcc --version`" = "x2.96"; then
  export CFLAGS=`echo $RPM_OPT_FLAGS |sed -e "s,-O.,-O1,g"`
fi
%endif
%ifarch sparc sparc64 sparcv9
if test "x`gcc --version`" = "x2.96"; then
  export CFLAGS=`echo $RPM_OPT_FLAGS |sed -e "s,-O.,-O0,g"`
fi
%endif
./configure --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
/usr/lib/lib*.so.*


%files devel
%defattr(-, root, root)

/usr/bin/obgnome-config
/usr/lib/lib*.so
/usr/lib/*a
/usr/lib/*.sh
/usr/include/*

%changelog
* Thu Mar 01 2001 Owen Taylor <otaylor@redhat.com>
- Rebuild for GTK+-1.2.9 include paths

* Tue Feb 27 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Don't define and use "rel" and "ver" at the top of the file
- make gnome-objc-devel require gnome-objc w/version
- langify
- use %%{_tmppath}
- move changelog to end of spec file

* Thu Jul 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- fix up the configure m4 files so they don't prefer egcs over gcc
- use -O1 on alpha and -O0 on sparc to work around compiler bugs

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun 30 2000 Matt Wilson <msw@redhat.com>
- use %%makeinstall
- no Docdir:
- excludearch ia64, devo doesn't have objc compiler?

* Fri May 19 2000 Owen Taylor <otaylor@redhat.com>
- Rebuild for Winston
- Don't set OBJC=egcs

* Thu Feb 03 2000 Preston Brown <pbrown@redhat.com>
- rebuild to get new description

* Fri Apr 16 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.2, added patch to not add /usr/lib or /lib to ld.so.conf

* Sun Feb 21 1999 Michael Fulbright <drmike@redhat.com>
- removed libtoolize and fix source line

* Wed Feb 17 1999 Michael Fulbright <drmike@redhat.com>
- file listing updated

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.8

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.3

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.1

* Fri Mar 13 1998 Marc Ewing <marc@redhat.com>
- Integrate into gnome-objc source tree
